Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class AbstractAdapterNode

    java.lang.Object
      org.apache.struts2.views.xslt.AbstractAdapterNode

All Implemented Interfaces:
  AdapterNode, Node

Direct Known Subclasses:
  AbstractAdapterElement, ProxyNodeAdapter, SimpleAdapterDocument, SimpleTextNode

    public abstract class AbstractAdapterNode

extends Object
implements AdapterNode

AbstractAdapterNode is the base for childAdapters that expose a read-only view of a Java object as a DOM Node. This class implements the core parent-child and sibling node traversal functionality shared by all adapter type nodes and used in proxy node support.

See Also:
  `AbstractAdapterElement`

Field Summary
`private AdapterFactory` | `adapterFactory`
`private List<Node>` | `childAdapters`
`private static NamedNodeMap` | `EMPTY_NAMEDNODEMAP`
`private Log` | `log`
`private AdapterNode` | `parent`
`private String` | `propertyName`
`private Object` | `propertyValue`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractAdapterNode()`

Method Summary
`Node` | `appendChild(Node node)`
`protected List<Node>` | `buildChildAdapters()` subclasses override to produce their children
`Node` | `cloneNode(boolean b)`
`short` | `compareDocumentPosition(Node node)`
`AdapterFactory` | `getAdapterFactory()` The adapter factory that created this node.
`NamedNodeMap` | `getAttributes()`
`String` | `getBaseURI()`
`protected List<Node>` | `getChildAdapters()` Lazily initialize child childAdapters
`Node` | `getChildAfter(Node child)` The child node after the specified sibling
`Node` | `getChildBefore(Node child)` The child node before the specified sibling
`Node` | `getChildBeforeOrAfter(Node child, boolean before)`
`NodeList` | `getChildNodes()`
`NodeList` | `getElementsByTagName(String tagName)`
`NodeList` | `getElementsByTagNameNS(String string, String string1)`
`Object` | `getFeature(String string, String string1)`
`Node` | `getFirstChild()`
`Node` | `getLastChild()`
`String` | `getLocalName()`
`String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`String` | `getNodeName()`
`short` | `getNodeType()`
`String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`AdapterNode` | `getParent()` The parent adapter node of this node.
`Node` | `getParentNode()`
`String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`String` | `getPropertyName()` The name of the Java object (property) that we are adapting
`Object` | `getPropertyValue()` The Java object (property) that we are adapting
`String` | `getTextContent()`
`Object` | `getUserData(String string)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node node, Node node1)`
`boolean` | `isDefaultNamespace(String string)`
`boolean` | `isEqualNode(Node node)`
`boolean` | `isSameNode(Node node)`
`boolean` | `isSupported(String string, String string1)`
`String` | `lookupNamespaceURI(String string)`
`String` | `lookupPrefix(String string)`
`void` | `normalize()`
`protected StrutsException` | `operationNotSupported()`
`Node` | `removeChild(Node node)`
`Node` | `replaceChild(Node node, Node node1)`
`void` | `setAdapterFactory(AdapterFactory adapterFactory)` The adapter factory that created this node.
`protected void` | `setContext(AdapterFactory adapterFactory, AdapterNode parent, String propertyName, Object value)`
`void` | `setNodeValue(String string)`
`void` | `setParent(AdapterNode parent)` The parent adapter node of this node.
`void` | `setPrefix(String string)`
`void` | `setPropertyName(String name)` The name of the Java object (property) that we are adapting
`void` | `setPropertyValue(Object prop)` The Java object (property) that we are adapting
`void` | `setTextContent(String string)`
`Object` | `setUserData(String string, Object object, UserDataHandler userDataHandler)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_NAMEDNODEMAP

    private static final NamedNodeMap EMPTY_NAMEDNODEMAP

### childAdapters

    private List<Node> childAdapters

### log

    private Log log

### propertyValue

    private Object propertyValue

### propertyName

    private String propertyName

### parent

    private AdapterNode parent

### adapterFactory

    private AdapterFactory adapterFactory

Constructor Detail

### AbstractAdapterNode

    public AbstractAdapterNode()

Method Detail

### setContext

    protected void setContext(AdapterFactory adapterFactory,
                              AdapterNode parent,
                              String propertyName,
                              Object value)

  Parameters:
    `adapterFactory` -
    `parent` -
    `propertyName` -
    `value` -

### buildChildAdapters

    protected List<Node> buildChildAdapters()

  subclasses override to produce their children

  Returns:
    List of child adapters.

### getChildAdapters

    protected List<Node> getChildAdapters()

  Lazily initialize child childAdapters

### getChildBeforeOrAfter

    public Node getChildBeforeOrAfter(Node child,
                                      boolean before)

### getChildAfter

    public Node getChildAfter(Node child)

  Description copied from interface: `AdapterNode`
  The child node after the specified sibling

  Specified by:
    `getChildAfter` in interface `AdapterNode`

### getChildBefore

    public Node getChildBefore(Node child)

  Description copied from interface: `AdapterNode`
  The child node before the specified sibling

  Specified by:
    `getChildBefore` in interface `AdapterNode`

### getElementsByTagName

    public NodeList getElementsByTagName(String tagName)

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String string,
                                           String string1)

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `Node`

### setNodeValue

    public void setNodeValue(String string)
                      throws DOMException

  Specified by:
    `setNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Specified by:
    `getNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`

### getParent

    public AdapterNode getParent()

  Description copied from interface: `AdapterNode`
  The parent adapter node of this node. Note that our parent must be another adapter node, but our children may be any kind of Node.

  Specified by:
    `getParent` in interface `AdapterNode`

### setParent

    public void setParent(AdapterNode parent)

  Description copied from interface: `AdapterNode`
  The parent adapter node of this node. Note that our parent must be another adapter node, but our children may be any kind of Node.

  Specified by:
    `setParent` in interface `AdapterNode`

### getPropertyValue

    public Object getPropertyValue()

  Description copied from interface: `AdapterNode`
  The Java object (property) that we are adapting

  Specified by:
    `getPropertyValue` in interface `AdapterNode`

### setPropertyValue

    public void setPropertyValue(Object prop)

  Description copied from interface: `AdapterNode`
  The Java object (property) that we are adapting

  Specified by:
    `setPropertyValue` in interface `AdapterNode`

### setPrefix

    public void setPrefix(String string)
                   throws DOMException

  Specified by:
    `setPrefix` in interface `Node`
  Throws:
    `DOMException`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`

### getPropertyName

    public String getPropertyName()

  Description copied from interface: `AdapterNode`
  The name of the Java object (property) that we are adapting

  Specified by:
    `getPropertyName` in interface `AdapterNode`

### setPropertyName

    public void setPropertyName(String name)

  Description copied from interface: `AdapterNode`
  The name of the Java object (property) that we are adapting

  Specified by:
    `setPropertyName` in interface `AdapterNode`

### getAdapterFactory

    public AdapterFactory getAdapterFactory()

  Description copied from interface: `AdapterNode`
  The adapter factory that created this node.

  Specified by:
    `getAdapterFactory` in interface `AdapterNode`

### setAdapterFactory

    public void setAdapterFactory(AdapterFactory adapterFactory)

  Description copied from interface: `AdapterNode`
  The adapter factory that created this node.

  Specified by:
    `setAdapterFactory` in interface `AdapterNode`

### isSupported

    public boolean isSupported(String string,
                               String string1)

  Specified by:
    `isSupported` in interface `Node`

### appendChild

    public Node appendChild(Node node)
                     throws DOMException

  Specified by:
    `appendChild` in interface `Node`
  Throws:
    `DOMException`

### cloneNode

    public Node cloneNode(boolean b)

  Specified by:
    `cloneNode` in interface `Node`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`

### insertBefore

    public Node insertBefore(Node node,
                             Node node1)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Throws:
    `DOMException`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `Node`

### removeChild

    public Node removeChild(Node node)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node node,
                             Node node1)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Throws:
    `DOMException`

### isDefaultNamespace

    public boolean isDefaultNamespace(String string)

  Specified by:
    `isDefaultNamespace` in interface `Node`

### lookupNamespaceURI

    public String lookupNamespaceURI(String string)

  Specified by:
    `lookupNamespaceURI` in interface `Node`

### getNodeName

    public String getNodeName()

  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `Node`

### getBaseURI

    public String getBaseURI()

  Specified by:
    `getBaseURI` in interface `Node`

### compareDocumentPosition

    public short compareDocumentPosition(Node node)
                                  throws DOMException

  Specified by:
    `compareDocumentPosition` in interface `Node`
  Throws:
    `DOMException`

### getTextContent

    public String getTextContent()
                          throws DOMException

  Specified by:
    `getTextContent` in interface `Node`
  Throws:
    `DOMException`

### setTextContent

    public void setTextContent(String string)
                        throws DOMException

  Specified by:
    `setTextContent` in interface `Node`
  Throws:
    `DOMException`

### isSameNode

    public boolean isSameNode(Node node)

  Specified by:
    `isSameNode` in interface `Node`

### lookupPrefix

    public String lookupPrefix(String string)

  Specified by:
    `lookupPrefix` in interface `Node`

### isEqualNode

    public boolean isEqualNode(Node node)

  Specified by:
    `isEqualNode` in interface `Node`

### getFeature

    public Object getFeature(String string,
                             String string1)

  Specified by:
    `getFeature` in interface `Node`

### setUserData

    public Object setUserData(String string,
                              Object object,
                              UserDataHandler userDataHandler)

  Specified by:
    `setUserData` in interface `Node`

### getUserData

    public Object getUserData(String string)

  Specified by:
    `getUserData` in interface `Node`

### operationNotSupported

    protected StrutsException operationNotSupported()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.